package com.kym.service.miniapp;

import cn.hutool.poi.excel.ExcelWriter;
import com.github.yulichang.base.MPJBaseService;
import com.kym.entity.admin.queryParams.InvoiceQueryParam;
import com.kym.entity.common.PageBean;
import com.kym.entity.miniapp.Invoice;
import com.kym.entity.miniapp.queryParams.ApplyInvoiceParams;
import com.kym.entity.miniapp.vo.InvoiceVo;

import java.util.List;

public interface InvoiceService extends MPJBaseService<Invoice> {

    Invoice applyInvoice(ApplyInvoiceParams params);

    PageBean<InvoiceVo> listInvoice(InvoiceQueryParam params);

    List<Invoice> listInvoiceForApp(Integer status);

    void cancelApplyInvoice(String invoiceId);

    void confirmManualInvoice(Long invoiceId);

}
